.input {
  position: relative;
  z-index: 1;
  display: inline-block;
  margin: 1em;
  max-width: 350px;
  width: calc(100% - 2em);
  vertical-align: top;
}

.input__field {
  position: relative;
  display: block;
  float: right;
  padding: 0.8em;
  width: 60%;
  border: none;
  border-radius: 0;
  background: #f0f0f0;
  color: #aaa;
  font-weight: 400;
  font-family: "Avenir Next", "Helvetica Neue", Helvetica, Arial, sans-serif;
  -webkit-appearance: none; /* for box shadows to show on iOS */
}

.input__field:focus {
  outline: none;
}

.input__label {
  display: inline-block;
  float: right;
  padding: 0 1em;
  width: 40%;
  color: #696969;
  font-weight: bold;
  font-size: 70.25%;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.input__label-content {
  position: relative;
  display: block;
  padding: 1.6em 0;
  width: 100%;
}

.graphic {
  position: absolute;
  top: 0;
  left: 0;
  fill: none;
}

.icon {
  color: #ddd;
  font-size: 150%;
}

/* Nao */
.input--nao {
  overflow: hidden;
  padding-top: 1em;
}

.input__field--nao {
  padding: 0.5em 0em 0.25em;
  width: 100%;
  background: transparent;
  color: #9da8b2;
  font-size: 1.25em;
}

.input__label--nao {
  position: absolute;
  top: 0.95em;
  font-size: 0.85em;
  left: 0;
  display: block;
  width: 100%;
  text-align: left;
  padding: 0em;
  pointer-events: none;
  -webkit-transform-origin: 0 0;
  transform-origin: 0 0;
  -webkit-transition: -webkit-transform 0.2s 0.15s, color 1s;
  transition: transform 0.2s 0.15s, color 1s;
  -webkit-transition-timing-function: ease-out;
  transition-timing-function: ease-out;
}

.graphic--nao {
  stroke: #92989e;
  pointer-events: none;
  -webkit-transition: -webkit-transform 0.7s, stroke 0.7s;
  transition: transform 0.7s, stroke 0.7s;
  -webkit-transition-timing-function: cubic-bezier(0, 0.25, 0.5, 1);
  transition-timing-function: cubic-bezier(0, 0.25, 0.5, 1);
}

.input__field--nao:focus + .input__label--nao,
.input--filled .input__label--nao {
  color: #333;
  -webkit-transform: translate3d(0, -1.25em, 0) scale3d(0.75, 0.75, 1);
  transform: translate3d(0, -1.25em, 0) scale3d(0.75, 0.75, 1);
}

.input__field--nao:focus ~ .graphic--nao,
.input--filled .graphic--nao {
  stroke: #333;
  -webkit-transform: translate3d(-66.6%, 0, 0);
  transform: translate3d(-66.6%, 0, 0);
}

/* Yoshiko */
.input__field--yoshiko {
  width: 100%;
  background-color: #d0d1d0;
  border: 2px solid transparent;
  -webkit-transition: background-color 0.25s, border-color 0.25s;
  transition: background-color 0.25s, border-color 0.25s;
}

.input__label--yoshiko {
  width: 100%;
  text-align: left;
  position: absolute;
  bottom: 100%;
  pointer-events: none;
  overflow: hidden;
  padding: 0 1.25em;
  -webkit-transform: translate3d(0, 3em, 0);
  transform: translate3d(0, 3em, 0);
  -webkit-transition: -webkit-transform 0.25s;
  transition: transform 0.25s;
  -webkit-transition-timing-function: ease-in-out;
  transition-timing-function: ease-in-out;
}

.input__label-content--yoshiko {
  color: #8b8c8b;
  padding: 0.25em 0;
  -webkit-transition: -webkit-transform 0.25s;
  transition: transform 0.25s;
  -webkit-transition-timing-function: ease-in-out;
  transition-timing-function: ease-in-out;
}

.input__label-content--yoshiko::after {
  content: attr(data-content);
  position: absolute;
  font-weight: 800;
  bottom: 100%;
  left: 0;
  height: 100%;
  width: 100%;
  color: #a3d39c;
  padding: 0.25em 0;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-size: 0.85em;
}

.input__field--yoshiko:focus + .input__label--yoshiko,
.input--filled .input__label--yoshiko {
  -webkit-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.input__field--yoshiko:focus
  + .input__label--yoshiko
  .input__label-content--yoshiko,
.input--filled .input__label-content--yoshiko {
  -webkit-transform: translate3d(0, 100%, 0);
  transform: translate3d(0, 100%, 0);
}

.input__field--yoshiko:focus + .input__field--yoshiko,
.input--filled .input__field--yoshiko {
  background-color: transparent;
  border-color: #a3d39c;
}

/* Content */

.content {
  padding: 3em 0;
}

.row {
  display: -webkit-flex;
  display: flex;
  -webkit-flex-direction: row;
  flex-direction: row;
  padding: 0 2em;
}

.box {
  width: 50%;
  border: 10px solid #f9f9f9;
  background: #fff;
  display: -webkit-flex;
  display: flex;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-align-items: center;
  align-items: center;
}

.box:last-child {
  background: #e8ebec;
  -webkit-justify-content: flex-start;
  justify-content: flex-start;
}

.box--centered {
  text-align: center;
}

pre {
  padding: 0 2em;
  margin: 0;
  color: #436843;
  tab-size: 2;
  font-family: "Inconsolata", monospace;
  line-height: 1.5;
  font-weight: bold;
  font-size: 0.85em;
}

/* Download button style */

.Download {
  display: inline-block;
  width: 300px;
  height: 120px;
}

/* Related demos */

.content--related {
  text-align: center;
  font-weight: bold;
}

.media-item {
  display: inline-block;
  padding: 1em;
  vertical-align: top;
  -webkit-transition: color 0.3s;
  transition: color 0.3s;
}

.media-item__img {
  max-width: 100%;
  opacity: 0.3;
  -webkit-transition: opacity 0.3s;
  transition: opacity 0.3s;
}

.media-item:hover .media-item__img,
.media-item:focus .media-item__img {
  opacity: 1;
}

.media-item__title {
  margin: 0;
  padding: 0.5em;
  font-size: 1em;
}

@media screen and (max-width: 60em) {
  .row {
    display: block;
    margin-bottom: 3em;
  }

  .box {
    width: 100%;
    padding: 1em;
    background: transparent;
  }
}

@media screen and (max-width: 40em) {
  .codrops-header h1 {
    font-size: 2.8em;
  }
}
